%% Asetetaan parametrit
L=1;
k=1;
R=1;
u0=4;
amp=1.8;
i0=-R/(2*k)+sqrt(R^2/(4*k^2)+u0/k);
%% Ajetaan simulaatiot
[time_nonlin]=sim('lh2t3_nonlin');
[time_lin]=sim('lh2t3_lin');
%% Piirretn kuvaajat
%linearisoimaton vs. linearisoitu
subplot(2,1,1)
plot(time_nonlin,i_nonlin,'-b',time_lin,i_lin,'-r',[0 max(time_lin)],[i0 i0],'--k','LineWidth',2);
legend('Alkuperinen','Linearisoitu','i_0','location','NorthEast')
grid on
ylabel('i','FontSize',12)
xlabel('t','FontSize',12)

subplot(2,1,2)
plot(time_lin,u_lin,'-k','LineWidth',2)
legend('u')
grid on
ylabel('u','FontSize',12)
xlabel('t','FontSize',12)





