function xout=lh2t4linearisointi(input,H,m0,beta,c)
%
% Laskee linearisoidun systeemin ulostulon nominaali trajektorista ja ohjauksesta
%

deltax = input(1:3) - input(5:7); % Lin appr tila - tasapainotila
deltau = input(4)   - input(8);   % Ohjaus - tasapainoohjaus

% x*:
x1 = input(5);
x2 = input(6);
x3 = input(7);

% u*:
u = input(8);

A = zeros(3,3);
B = zeros(3,1);

% HUOMAA: termin x1*abs(x1) derivointi
A(1,1) = -2*H*abs(x1)*exp(-beta*x3)/(m0+x2);
A(1,2) = (H*x1*abs(x1)*exp(-beta*x3)-u)/((m0+x2)^2);
A(1,3) = (beta*H*x1*abs(x1)*exp(-beta*x3))/(m0+x2);

A(3,1) = 1;

B(1) = 1/(m0+x2);
B(2) = -1/c;

xout = A*deltax+B*deltau;
